The AltiVec code in libswscale no longer is under GPL.
[ffmpeg.git] / libswscale / Makefile
1 include $(SUBDIR)../config.mak
2
3 NAME = swscale
4 FFLIBS = avutil
5
6 HEADERS = swscale.h
7
8 OBJS = options.o rgb2rgb.o swscale.o yuv2rgb.o
9
10 OBJS-$(ARCH_BFIN)          +=  bfin/internal_bfin.o     \
11                                bfin/swscale_bfin.o      \
12                                bfin/yuv2rgb_bfin.o
13 OBJS-$(CONFIG_MLIB)        +=  mlib/yuv2rgb_mlib.o
14 OBJS-$(HAVE_ALTIVEC)       +=  ppc/yuv2rgb_altivec.o
15 OBJS-$(HAVE_VIS)           +=  sparc/yuv2rgb_vis.o
16
17 MMX-OBJS-$(CONFIG_GPL)     +=  x86/yuv2rgb_mmx.o        \
18
19 EXAMPLES  = swscale
20 TESTPROGS = colorspace
21
22 DIRS = bfin mlib ppc sparc x86
23
24 include $(SUBDIR)../subdir.mak